Admins don't see when page creations match against the blacklist
Closed, ResolvedPublic

Description

Author: mike.lifeguard+bugs

Description:
Administrators don't see matches against the blacklist when creating pages.

When creating a page which does match a regex on the blacklist, administrators should see the same system message, but should additionally be informed that they can create the page anyways. Ideally, they should also be told what protection status the page will have once created. So if that BL entry has <noedit> it will be protected once created. If the entry has <noedit|autoconfirmed> it will be semiprotected. (Assuming I understand how this works correctly!)


Version: unspecified
Severity: enhancement

bzimport set Reference to bz13780.
bzimport created this task.Via LegacyApr 17 2008, 11:10 PM
bzimport added a comment.Via ConduitApr 18 2008, 1:18 AM

soxred93 wrote:

That can be fixed by putting:

$wgGroupPermissions['sysop']['tboverride'] = false;

in the LocalSettings.php file.

bzimport added a comment.Via ConduitApr 18 2008, 1:25 AM

mike.lifeguard+bugs wrote:

Sorry, this wasn't clear. I don't want to change whether or not sysops may create blacklisted pages. Rather, I want them to see a warning that "This page is blacklisted against creation do to this entry: ______. You can are overriding the blacklist."

Ideally there would be a further message when <noedit> and/or <autoconfirmed> are present on that blacklist entry: "The page you create will semi/fully protected by the blacklist; change the regex to unprotect it."

brion added a comment.Via ConduitSep 8 2008, 10:04 PM

Mm, do you want to force them to confirm and override the warning (like we do with upload warnings) or just toss up a warning message with the "you have created the account yay" message?

bzimport added a comment.Via ConduitSep 8 2008, 10:26 PM

mike.lifeguard+bugs wrote:

Confirm an override would be nice.

I guess this should apply to creating pages as well as accounts (now that <newaccountonly> exists). This was requested before the titleblacklist handled usernames; I was initially concerned only with sysops not seeing that they were creating a salted page (etc).

bzimport added a comment.Via ConduitSep 8 2008, 10:28 PM

soxred93 wrote:

A similar functionality has been added to the user creation form for admin, it could probably be ported over.

bzimport added a comment.Via ConduitDec 14 2008, 3:59 PM

matthew.britton wrote:

This would be a particularly useful feature to have, as it should hopefully result in faster response times when administrators screw up the title blacklist and block creation of all pages with spaces in their titles, and are blissfully unaware of the situation themselves.

bzimport added a comment.Via ConduitDec 18 2008, 4:04 AM

mike.lifeguard+bugs wrote:

(In reply to comment #2)

Sorry, this wasn't clear. I don't want to change whether or not sysops may
create blacklisted pages. Rather, I want them to see a warning that "This page
is blacklisted against creation do to this entry: ______. You can are
overriding the blacklist."

Ideally there would be a further message when <noedit> and/or <autoconfirmed>
are present on that blacklist entry: "The page you create will semi/fully
protected by the blacklist; change the regex to unprotect it."

For simple "protection" there may be system messages which could get re-used. Since it's creation, the title blacklist has expanded to affect much more & I suspect a bunch of new system messages may be needed. I wonder whether a generic one with parameters for the action being disallowed and the regex etc could be crafted...

Nakon added a comment.Via ConduitMay 3 2009, 4:11 AM

Adds a notification if a user is able to override the blacklist and a title is blacklisted

Initial patch.

Attached: patch.diff

bzimport added a comment.Via ConduitNov 14 2011, 4:38 PM

sumanah wrote:

Thank you for the patch, Nakon, and sorry that you haven't received a response yet. I'm marking the patch with "need-review" to signal that this patch awaits review. Thanks.

bzimport added a comment.Via ConduitJan 14 2012, 1:00 AM

bsitu wrote:

Nakon, thank you for providing the patch, I am sorry that it's taken so long to review the patch, the patch is now obsolete because the file has been modified and the patch is incomplete (undefined class property & unused message key). You are welcome to revise the patch to work with current trunk.

Thanks,

Krinkle added a comment.Via ConduitJan 14 2012, 2:05 AM

Also note that the AbuseFilter extension may be better at this.

vvv added a comment.Via ConduitJan 22 2012, 12:53 PM

A note on the patch: outputting stuff in the userCan hook is a no-go, this hook may be well used outside any UI.

vvv added a comment.Via ConduitOct 21 2013, 9:11 AM
  • Bug 55894 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitJun 19 2014, 5:38 PM

Change 140746 had a related patch set uploaded by Jackmcbarn:
Display a warning when editing a blacklisted page

https://gerrit.wikimedia.org/r/140746

gerritbot added a comment.Via ConduitJul 10 2014, 8:32 PM

Change 140746 merged by jenkins-bot:
Display a warning when editing a blacklisted page

https://gerrit.wikimedia.org/r/140746

Legoktm added a comment.Via ConduitJul 13 2014, 8:19 AM
  • Bug 67941 has been marked as a duplicate of this bug. ***

Add Comment